Name:	     	radvd
Version:	2.18
Release:	4
Summary:  	Router ADVertisement Daemon for IPv6
License:	BSD with advertising
URL:		http://www.litech.org/radvd/
Source0:	http://www.litech.org/radvd/dist/%{name}-%{version}.tar.gz
Source1:        radvd-tmpfs.conf
Source2:        radvd.service

Patch6000:	backport-add-IPV6_DROP_MEMBERSHIP-to-clean-up-resources.patch

BuildRequires:	gcc bison flex flex-static pkgconfig check-devel systemd
Requires(pre):	shadow-utils
%{?systemd_requires}

%description
The router advertisement daemon (radvd) is run by Linux or BSD systems
acting as IPv6 routers. It sends Router Advertisement messages,
specified by RFC 2461, to a local Ethernet LAN periodically and when
requested by a node sending a Router Solicitation message. These
messages are required for IPv6 stateless autoconfiguration.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

for F in CHANGES; do
    iconv -f iso-8859-1 -t utf-8 < "$F" > "${F}.new"
    touch -r "$F" "${F}.new"
    mv "${F}.new" "$F"
done

%build
%configure --with-check --disable-silent-rules \
           --with-pidfile=/run/radvd/radvd.pid
%make_build

%install
%make_install

install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -d -m 755 %{buildroot}/run/radvd
install -d -m 755 %{buildroot}%{_unitdir}

pushd redhat/SysV
install -m 644 radvd.conf.empty %{buildroot}%{_sysconfdir}/radvd.conf
install -m 644 radvd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/radvd
popd

install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/radvd.conf

pushd redhat/systemd
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}
popd

%check
make check

%postun
%systemd_postun_with_restart radvd.service

%post
%systemd_post radvd.service

%preun
%systemd_preun radvd.service

%pre
getent group radvd >/dev/null || groupadd -r -g 75 radvd
getent passwd radvd >/dev/null || \
  useradd -r -u 75 -g radvd -d / -s /sbin/nologin -c "radvd user" radvd
exit 0

%files
%doc CHANGES
%defattr(-,root,root)
%license COPYRIGHT
%{_tmpfilesdir}/radvd.conf
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{_sysconfdir}/sysconfig/radvd
%{_sbindir}/*
%{_unitdir}/radvd.service
%dir %attr(755,radvd,radvd) /run/radvd/

%files          help
%defattr(-,root,root)
%doc radvd.conf.example
%doc INTRO.html README TODO
%{_mandir}/*/*

%changelog
* Fri Jul 15 2022 xingwei <xingwei14@h-partners.com> - 2.18-4
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add IPV6_DROP_MEMBERSHIP to fix memory leak in kernel space

* Mon Feb 8 2021 openEuler Buildteam <buildteam@openeuler.org> - 2.18-3
- rebuild 2.18-3

* Mon Oct 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.18-2
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:modify the location of COPYRIGHT

* Mon Sep 16 2018 openEuler Buildteam <buildteam@openeuler.org> - 2.18-1
- Package init
